"use strict";

require("core-js/modules/es.array.iterator");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _path = _interopRequireDefault(require("path"));

var _tsDedent = _interopRequireDefault(require("ts-dedent"));

var _interpretFiles = require("./interpret-files");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const toArray = a => a ? [a] : a;

function loadConfigFiles({
  configDir
}) {
  const storybookConfigPath = (0, _interpretFiles.getInterpretedFile)(_path.default.resolve(configDir, 'config'));
  const storybookPreviewPath = (0, _interpretFiles.getInterpretedFile)(_path.default.resolve(configDir, 'preview'));

  if (storybookConfigPath && storybookPreviewPath) {
    throw new Error(_tsDedent.default`
      You have both a "config.js" and a "preview.js", remove the "config.js" file from your configDir (${_path.default.resolve(configDir, 'config')})`);
  }

  return [...(toArray(storybookPreviewPath) || toArray(storybookConfigPath) || [])];
}

var _default = loadConfigFiles;
exports.default = _default;